@import (once) "../theme";

div.zone-beyond {
  background: black;
  border: 1px solid #b18a63;
  height: 80px;
  background-size: cover;

  &.outerworld { background: url("../../img/background/beyond/outerworld.jpg") center/cover no-repeat; }
  &.oldruins { background: url("../../img/background/beyond/ruins/oldRuins.jpg") center/cover no-repeat; }
  &.city { background: url("../../img/background/beyond/city.jpg") center/cover no-repeat; }
  &.city-open { background: url("../../img/background/beyond/city_open.jpg") center/cover no-repeat; }

  &.night-oldruins { background: url("../../img/background/beyond/ruins/night_oldRuins.jpg") center/cover no-repeat; }
  &.night-outerworld { background: url("../../img/background/beyond/night_outerworld.jpg") center/cover no-repeat; }
  &.night-city { background: url("../../img/background/beyond/night_city.jpg") center/cover no-repeat; }
  &.night-city-open { background: url("../../img/background/beyond/night_city_open.jpg") center/cover no-repeat; }

  &.explorable-bunker { background: url("../../img/background/beyond/ruins/explorable_bunker.jpg") center/cover no-repeat; }
  &.explorable-hotel { background: url("../../img/background/beyond/ruins/explorable_hotel.jpg") center/cover no-repeat; }
  &.explorable-hospital { background: url("../../img/background/beyond/ruins/explorable_hospital.jpg") center/cover no-repeat; }
}

div.zone-camp {
  padding: 5px 5px 0 5px;
  margin-top: 7px;
  margin-bottom: 7px;
  text-align: justify;
  color: #e2d890;
  font-size: 1rem;
  background-color: #996739;
  overflow: hidden;

  & > input {
    display: none;

    & + label {
      cursor: pointer; text-decoration: underline;
      &:hover { color: white; }
    }

    & + label + .zone-camp-info {
      max-height: 0;
      opacity: 0;
      transition: 200ms;
      overflow: hidden;
      p {

      }
    }
    &:checked + label + .zone-camp-info {
      max-height: 500px;
      opacity: 1;

      pre {
        .box();
      }
    }
  }

  & .emphasis {
    font-weight: bold;
    color: white;
  }
}

div.zone-blocked-warning {
  background: url("../../img/background/popup/feist.gif") top left no-repeat, #91181a; border: 1px solid #d2161f;
  outline: 1px solid rgba(0,0,0,0.3); padding: 10px 10px 10px 90px;
  &>b {margin-bottom: 6px;}
  &>span {
    display: block; font-size: 1.3rem; margin-bottom: 6px;
    *[x-countdown] { display: block; font-size: 2.4rem; text-align: center; margin: 10px 0; font-weight: bold }
  }
}

.beyond-rp {
  padding-left: 40px;
}

div.ruin-info {
  margin-top: 5px;
  padding: 5px;
  background: #9a8652;
  color: white;
  img {
    vertical-align: middle;
  }
  .ruin-name {
    color: #e2d880;
  }
  .ruin-desc strong {
    color: #f0d79e;
  }
}

div.zone-info {
  margin-top: 0px;
  border: 1px solid @myhordes-smalltext;
  /*background: @myhordes-cell-header-background-color;*/
  font-size: 0;
  &>div.row {
    &>.cell>span { vertical-align: bottom; font-size: 1.2rem; }
    &.zone-cp {
      padding: 1px 0px 0px 1px;
      height: 22px;
      margin-top: 0;
      border: 1px solid #e1bd9b;
      outline: 2px solid #43281a;
      background-color: #5c2b20;
    }
    &.zone-cp>.cell{
      .humans-cp { color: #d6f523; }
      .zombies-cp { color: #f15b30; }
    }
    &.zone-dist { 
      padding: 0px 0px 0px 0px;
      margin-top: 5px;
      min-height: 18px;
      font-size: 1rem;
      color: #f0d79e;
      border: 1px solid #e1bd9b;
      outline: 2px solid #43281a;
      background-color: #5c2b20;
    }
  }
}

div.other_citizens {
  em {
    color: #f0d79e;
    font-style: italic;
    font-size: 1.3rem;
  }
  h5 {
    color: white;
    margin-bottom: 0;
  }
}

span.ruin-bury-desc { font-variant: small-caps; font-size: 0.9em; color: #5c2b33; font-weight: bold}

div.ruin-bury-count {
  border: 1px solid #ddab76; background: #996739; padding: 2px; margin-bottom: 10px;
  &>div.sand {
    padding: 0; margin: 0; height: 16px; width: 9px; position: relative; display: inline-block; overflow: visible;
    &:before { content: " "; position: absolute; top: 0; left: 0; width: 16px; height: 16px; background: url("../../img/icons/buried.gif") no-repeat }
  }
}

div.zone-scout {
  font-variant: small-caps;
  text-align: center;
  font-weight: bold;
  color: #f0d79e;
  font-size: 1.1rem;
}

div.beyond-escort-off, div.beyond-escort-on {
  font-size: 1.2rem;
  &.beyond-escort-on-all { background-color: #25242c !important; }
  ul.status {
    padding: 0; margin: 0; font-size: 0;
    &>li { list-style: none; display: inline-block; margin: 0; padding: 0; }
  }

  .citizen-box {
    border: none;
  }

  &:not(.beyond-escort-on-all) {
    > div {
      min-height: 34px;
      border-bottom: 1px solid #7e4d2a;
      &:not(:last-child) {
        border-right: 1px solid #7e4d2a;
      }
    }
    &.beyond-escort-on {
      > div:nth-last-child(2) {
        border-right: none;
      }
      > div:last-child {
        border-bottom: none;
      }
    }
  }
}

ul.escort-action-list {
  margin: 0; padding: 0px; font-size: 0; text-align: center;
  &>li {
    list-style: none; display: inline-block; padding: 3px; cursor: pointer; border: 1px solid transparent;
    margin: 2px;
    &:hover { border: 1px solid @myhordes-button-color; background: fade(@myhordes-button-color, 50%) }
  }
}
